
# Class: WidgetParams

## Hierarchy

* **WidgetParams**

## Implements

* [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md)

## Index

### Constructors

* [constructor](widgetparams.md#constructor)

### Properties

* [options](widgetparams.md#options)
* [productId](widgetparams.md#optional-productid)
* [productLinkId](widgetparams.md#optional-productlinkid)
* [productVersionId](widgetparams.md#optional-productversionid)

### Methods

* [getOptionValue](widgetparams.md#getoptionvalue)

### Object literals

* [eventsCallbacks](widgetparams.md#eventscallbacks)
* [settings](widgetparams.md#settings)

## Constructors

###  constructor

\+ **new WidgetParams**(`params`: Partial‹[IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md)›): *[WidgetParams](widgetparams.md)*

**Parameters:**

Name | Type |
------ | ------ |
`params` | Partial‹[IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md)› |

**Returns:** *[WidgetParams](widgetparams.md)*

## Properties

###  options

• **options**: *Record‹string, string | string[]›*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[options](../interfaces/iconfigproductinformationajax.md#options)*

___

### `Optional` productId

• **productId**? : *number*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[productId](../interfaces/iconfigproductinformationajax.md#optional-productid)*

___

### `Optional` productLinkId

• **productLinkId**? : *number*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[productLinkId](../interfaces/iconfigproductinformationajax.md#optional-productlinkid)*

___

### `Optional` productVersionId

• **productVersionId**? : *number*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[productVersionId](../interfaces/iconfigproductinformationajax.md#optional-productversionid)*

## Methods

###  getOptionValue

▸ **getOptionValue**(`key`: string): *string | string[]*

**Parameters:**

Name | Type |
------ | ------ |
`key` | string |

**Returns:** *string | string[]*

## Object literals

###  eventsCallbacks

### ▪ **eventsCallbacks**: *object*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[eventsCallbacks](../interfaces/iconfigproductinformationajax.md#eventscallbacks)*

###  designs

• **designs**: *[EventCallbacks](eventcallbacks.md)‹›* =  new EventCallbacks()

###  mockups

• **mockups**: *[EventCallbacks](eventcallbacks.md)‹›* =  new EventCallbacks()

###  options

• **options**: *[EventCallbacks](eventcallbacks.md)‹›* =  new EventCallbacks()

###  variants

• **variants**: *[EventCallbacks](eventcallbacks.md)‹›* =  new EventCallbacks()

___

###  settings

### ▪ **settings**: *object*

*Implementation of [IConfigProductInformationAJAX](../interfaces/iconfigproductinformationajax.md).[settings](../interfaces/iconfigproductinformationajax.md#settings)*

###  designs

• **designs**: *[ApiParams](apiparams.md)‹›* =  new ApiParams()

###  mockups

• **mockups**: *[ApiParams](apiparams.md)‹›* =  new ApiParams()

###  variants

• **variants**: *[ApiParams](apiparams.md)‹›* =  new ApiParams()
